Bug 138477 - graphics/djvulibre fails at make install
Summary: graphics/djvulibre fails at make install
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Stanislav Sedov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-02 12:30 UTC by 2igosha
Modified: 2010-11-30 20:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2igosha 2009-09-02 12:30:05 UTC
The latest (just csup'ped) graphics/djvulibre port fails "make install":

. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS  -I/usr/local/include    -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -c ./qd_mime_dialog.cpp
moc ./qd_mime_dialog.h -o qd_mime_dialog_moc.cpp
c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./  -I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/  -I../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS  -I/usr/local/include    -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -c qd_mime_dialog_moc.cpp
c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./  -I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/  -I../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS  -I/usr/local/include    -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -c ./qd_about_dialog.cpp
moc ./qd_about_dialog.h -o qd_about_dialog_moc.cpp
c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./  -I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/  -I../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS  -I/usr/local/include    -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -c qd_about_dialog_moc.cpp
moc ./main.cpp -o main_moc.inc
c++ -DHAVE_CONFIG_H -I../.. -I../../libdjvu -I./  -I../../gui/indep/QT/  -I../../gui/indep/QX/  -I../../gui/indep/utils/  -I../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ -I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include -D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS  -I/usr/local/include    -I/usr/local/include -I/usr/local/include  -I/usr/local/include -D_GETOPT_H -I/usr/local/include  -O2 -fno-strict-aliasing -pipe -c ./main.cpp
./../gui/bin2cpp/bin2cpp ppm_djvu_logo < ../../gui/shared/cin_data/ppm_djvu_logo.cin > ppm_djvu_logo.cpp
./../gui/bin2cpp/bin2cpp: not found
*** Error code 127

Stop in /usr/ports/graphics/djvulibre/work/djvulibre-3.5.22/gui/djview.
*** Error code 1

Stop in /usr/ports/graphics/djvulibre/work/djvulibre-3.5.22/gui.
*** Error code 1

Stop in /usr/ports/graphics/djvulibre/work/djvulibre-3.5.22.
*** Error code 1

Stop in /usr/ports/graphics/djvulibre.

How-To-Repeat: cd /usr/ports/graphics/djvulibre
make
make install
Comment 1 Edwin Groothuis freebsd_committer 2009-09-02 12:30:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->stas

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Stanislav Sedov freebsd_committer 2009-09-26 21:17:06 UTC
Hello, 	Igor!

Thanks for contacting us!

Can you give more info on the problem you encountered?
What build options you have used?
It looks very strange that there's no "bin2cpp" too in your
object dir.
Having a full build log will be helpful too.

Best regards,
-- 
Stanislav Sedov
ST4096-RIPE
Comment 3 Igor Soumenkov 2009-09-29 21:03:20 UTC
Hello Stanislav,
Strange, but now it works. Maybe csup helped.
I think the ticket can be closed now.
Thanks.

Igor.
> Hello, 	Igor!
>
> Thanks for contacting us!
>
> Can you give more info on the problem you encountered?
> What build options you have used?
> It looks very strange that there's no "bin2cpp" too in your
> object dir.
> Having a full build log will be helpful too.
>
> Best regards,
>
Comment 4 Stanislav Sedov freebsd_committer 2009-09-29 22:46:02 UTC
State Changed
From-To: open->closed

Close per submiter's request.
Comment 5 admin 2010-11-30 18:49:50 UTC
I have it problem


HP# find . -name bin2cpp
./djvulibre-3.5.23/gui/bin2cpp
HP# pwd
/shares/tmp/usr/ports/graphics/djvulibre/work
HP# uname -a
FreeBSD HP.lissyara.su 9.0-CURRENT FreeBSD 9.0-CURRENT #0 r215659M: Mon 
Nov 22 14:16:13 MSK 2010     
root@HP.lissyara.su:/usr/obj/usr/src/sys/GENERIC  amd64
HP#

../../gui/shared/QT/  -I../../gui/shared/res/  -I../../gui/shared/utils/ 
-I. -DNDEBUG -Wall -Wno-non-virtual-dtor -I/usr/local/include 
-D_THREAD_SAFE  -DTHREADMODEL=POSIXTHREADS      -I/usr/local/include 
-I/usr/local/include  -I/usr/local/include -D_GETOPT_H 
-I/usr/local/include  -O2 -fno-strict-aliasing -c ./main.cpp
../../gui/bin2cpp/bin2cpp ppm_djvu_logo < 
../../gui/shared/cin_data/ppm_djvu_logo.cin > ppm_djvu_logo.cpp
../../gui/bin2cpp/bin2cpp: not found
*** Error code 127

Stop in 
/shares/tmp/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23/gui/djview.
*** Error code 1

Stop in /shares/tmp/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23/gui.
*** Error code 1

Stop in /shares/tmp/usr/ports/graphics/djvulibre/work/djvulibre-3.5.23.
*** Error code 1

Stop in /usr/ports/graphics/djvulibre.
*** Error code 1

Stop in /usr/ports/graphics/djvulibre.
** Command failed [exit code 1]: /usr/bin/script -qa 
/tmp/portupgrade20101130-92267-1uh5mfg-0 env UPGRADE_TOOL=portupgrade 
UPGRADE_PORT=djvulibre-3.5.22_3 UPGRADE_PORT_VER=3.5.22_3 make reinstall
--->  Restoring the old version
** Fix the installation problem and try again.
[Updating the pkgdb <format:bdb_btree> in /var/db/pkg ... - 667 packages 
found (-0 +1) . done]
** Listing the failed packages (-:ignored / *:skipped / !:failed)
         ! graphics/djvulibre (djvulibre-3.5.22_3)       (install error)
HP#
Comment 6 dfilter service freebsd_committer 2010-11-30 20:15:25 UTC
stas        2010-11-30 20:15:20 UTC

  FreeBSD ports repository

  Modified files:
    graphics/djvulibre   Makefile 
  Log:
  - Fix build.
  
  PR:             ports/138477,   ports/152495
  
  Revision  Changes    Path
  1.70      +2 -1      ports/graphics/djvulibre/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"